{{log "this: " this}}

<form class="{{cssClass}}" autocomplete="off">
  <div id="sheet">
    <header class="hnh-header">
      <div class="content" style="display: block">
        <div class="layout">
          <img class="portrait" src="{{actor.img}}" data-edit="img" title="{{actor.name}}" />
          <div class="sectionheader char-name">
            <input class="actorname" name="name" type="text" value="{{actor.name}}" placeholder="{{localize 'local.actor.name'}}" />
            {{#with actor.system.headerinfo as |item|}}
            <div class="headinfo double" title="Character Level">
              <label>Lvl:</label>
              <label>{{item.level.system.value}}</label>
            </div>
          </div>
          <div class="toprow">
            <div class="headinfo single" title="Race">
              <input class="valuefull iteminput" data-name="system.charinfo.race" type="text" value="{{../system.charinfo.race}}" />
            </div>
            <div class="headinfo single" title="Job">
              <input class="valuefull iteminput" data-name="system.charinfo.job" type="text" value="{{../system.charinfo.job}}" />
            </div>
            <div class="headinfo single" title="Role">
              <input class="valuefull iteminput" data-name="system.charinfo.role" type="text" value="{{../system.charinfo.role}}" />
            </div>
            <div class="headinfo triple move item" data-item-id="{{item.pace._id}}">
              <label>{{numberFormat item.pace.system.moddedvalue decimals=0 sign=false}}ft</label>
              {{item.pace.system.label}}
              <select class="value select iteminput" data-name="system.label">
                {{#select item.pace.system.label}}
                {{#each item.pace.system.entries as |entry e|}}
                {{#if (ne @index 0)}}
                <option value="{{entry.label}}">{{entry.label}}</option>
                {{/if}}
                {{/each}}
                {{/select}}
              </select>
            </div>
          </div>
          <div class="midrow large">
            {{#with item.hitpoints as |field|}}
            <div class="headinfo triple item" data-item-id="{{field._id}}">
              {{field.system.abbr}}
              :<input class="value iteminput pool" type="text" value="{{field.system.value}}" data-dtype="Number" data-name="system.value" data-abbr="{{field.system.abbr}}" />
              <span>/ {{field.system.max}}({{field.system.min}})</span>
            </div>
            {{/with}}
            <div class="headinfo double" title="Damage Resistance">
              <label>DR:</label>
              <label>{{item.dr.system.moddedvalue}}</label>
            </div>
            <div class="headinfo double" title="Action Point Regeneration">
              <label>APR:</label>
              <label>{{item.apr.system.moddedvalue}}</label>
            </div>
          </div>
          <div class="bottomrow">
            <div class="headinfo single" title="Description">
              <input class="valuefull iteminput" data-name="system.charinfo.description" type="text" value="{{../system.charinfo.description}}" />
            </div>
            <div class="headinfo single" title="Admin Mode">
              <input class="valuefull" type="checkbox" name="system.adminMode" {{checked ../system.adminMode}} data-dtype="Boolean" />
            </div>
          </div>
          {{/with}}
        </div>
      </div>

      {{!-- Sheet Tab Navigation --}}
      <nav class="sheet-nav tabs" data-group="attribute">
        <a class="tabtitle" data-tab="main">{{localize "local.tabs.main"}}</a>
        <a class="tabtitle" data-tab="combat">{{localize "local.tabs.combat"}}</a>
        <a class="tabtitle" data-tab="skills">{{localize "local.tabs.skills"}}</a>
        {{#if system.adminMode}}
        <a class="tabtitle" data-tab="items">{{localize "local.tabs.items"}}</a>
        <a class="tabtitle" data-tab="scripts">{{localize "local.tabs.scripts.title"}}</a>
        {{/if}}
      </nav>
    </header>
    <hr>

    {{!-- Sheet Body --}}
    <section id="tabs" class="sheet-body">

      {{!-- Stats Tab --}}
      <div class="tab main" data-tab="main" data-group="attribute">

        <div class="section">
          <div class="sectionheader collapsible" data-section="notes">
            <label>{{localize "local.sections.notes"}}</label>
          </div>
          <div class="content" style="display: {{actor.system.sections.notes}}">
            <div class="nospan biography">
              {{editor enrichment.system.biography target="system.biography" engine="prosemirror" button=true owner=owner editable=editable}}
            </div>
          </div>
        </div>
        <hr>
        <div class="section">
          <div class="sectionheader collapsible" data-section="ranks">
            <label>{{localize "local.sections.ranks"}}</label>
          </div>
          <div class="content" style="display: {{actor.system.sections.ranks}}">

            {{#each actor.system.rankitemsdisplay as |group|}}
            <div class="nospan item-list">
              <div class="header">
                <label>{{group.name}}</label>
              </div>
              {{#each group.items as |item|}}
              <div class="item itemcontext rankvariable" data-item-id="{{item._id}}">
                <div class="label">
                  <label class="variablename item-edit draggable">{{item.system.displayname}}</label>
                </div>
                <div class="entries">
                  {{#each item.system.entries as |entry e|}}
                  {{#if (ne @index 0)}}
                  <label>{{entry.label}}: {{entry.formula}}</label>
                  {{/if}}
                  {{/each}}
                </div>
              </div>
              {{/each}}
            </div>
            {{/each}}
          </div>
        </div>
        <hr>

      </div>

      {{!-- Combat Tab --}}
      <div class="tab combat" data-tab="combat" data-group="attribute">

        <div class="section">
          <div class="sectionheader collapsible" data-section="defences">
            <label>{{localize "local.sections.defences"}}</label>
          </div>
          <div class="content" style="display: {{actor.system.sections.defences}}">
            <div class="threespan item-list">
              {{#each system.blocks as |item|}}
              <div class="item itemcontext entry {{item.system.group}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable"> {{item.name}} </label>
                <label class="rollable" data-name="{{item.name}}" data-roll="{{item.system.value}}" data-modtype="defence" data-type="modlist">[ {{item.system.moddedvalue}} ]</label>
                <a class="rollable" data-name="{{item.name}}" data-roll="{{item.system.value}}" data-type="{{item.system.category}}"> <i class="fas fa-comment"></i> </a>
              </div>
              {{/each}}
            </div>
            <div class="fourspan item-list">
              {{#each system.defencevariables as |item|}}
              {{#if (eq item.type "Variable")}}
              <div class="item itemcontext variable" title="{{item.system.notes}}" data-item-id="{{item._id}}">
                <label class="variablename draggable item-edit">{{item.name}}</label>
                <select class="select iteminput" data-name="system.label">
                  {{#select item.system.label}}
                  {{#each item.system.entries as |entry e|}}
                  {{#if (ne @index 0)}}
                  <option value="{{entry.label}}">{{entry.label}}</option>
                  {{/if}}
                  {{/each}}
                  {{/select}}
                </select>
                <label class="value"></label>
              </div>
              {{else}}
              <div class="item itemcontext poolstyle" title="{{item.system.notes}}" data-item-id="{{item._id}}">
                <label class="poolname item-edit draggable">{{item.name}}:</label>
                <input class="value iteminput pool" type="text" value="{{item.system.value}}" data-dtype="Number" data-name="system.value" data-abbr="{{item.system.abbr}}" />
                <span>{{#unless (eq item.system.value item.system.moddedvalue)}}[{{item.system.moddedvalue}}]{{/unless}}/{{item.system.max}}</span>
              </div>
              {{/if}}
              {{/each}}
            </div>

            <div class="threespan item-list">
              <div class="header">
                <label>{{localize "local.sections.defencemods"}}</label>
              </div>
              {{> "systems/hnh/templates/partials/gmod.hbs" data=data}}
              {{#each system.defencemods as |item|}}
              {{#if item.system.alwaysOn}}
              {{else}}
              <div class="item itemcontext modifier{{#if item.system.inEffect}} inEffect{{/if}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable">{{item.name}}</label>
                <label class="item-toggle"></label>
              </div>
              {{/if}}
              {{/each}}
            </div>
          </div>
        </div>
        <hr>

        <div class="section">
          <div class="sectionheader collapsible" data-section="attacks">
            <label>{{localize "local.sections.attacks"}}</label>
          </div>
          <div class="content" style="display: {{actor.system.sections.attacks}}">

            <div class="twospan item-list">
              {{#each system.attacks as |item|}}
              <div class="item itemcontext attackentry {{#if (eq item.type 'Melee-Attack')}}melee{{else}}ranged{{/if}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable">{{item.name}}</label>
                <label class="rollable" data-name="{{item.name}}" data-roll="{{item.system.value}}" data-modtype="attack" data-type="modlist">[{{item.system.moddedvalue}}]</label>
                <a class="rollmacro" data-type="Attack" data-target="{{item.name}}"> <i class="fas fa-scroll"></i></a>
              </div>
              {{/each}}
            </div>
            <div class="fourspan item-list">
              {{#each system.attackvariables as |item|}}
              {{#if (eq item.type "Variable")}}
              <div class="item itemcontext variable" title="{{item.system.notes}}" data-item-id="{{item._id}}">
                <label class="variablename draggable item-edit">{{item.name}}</label>
                <select class="select iteminput" data-name="system.label">
                  {{#select item.system.label}}
                  {{#each item.system.entries as |entry e|}}
                  {{#if (ne @index 0)}}
                  <option value="{{entry.label}}">{{entry.label}}</option>
                  {{/if}}
                  {{/each}}
                  {{/select}}
                </select>
                <label class="value"></label>
              </div>
              {{else}}
              <div class="item itemcontext poolstyle" title="{{item.system.notes}}" data-item-id="{{item._id}}">
                <label class="poolname item-edit draggable">{{item.name}}:</label>
                <input class="value iteminput pool" type="text" value="{{item.system.value}}" data-dtype="Number" data-name="system.value" data-abbr="{{item.system.abbr}}" />
                <span>{{#unless (eq item.system.value item.system.moddedvalue)}}[{{item.system.moddedvalue}}]{{/unless}}/{{item.system.max}}</span>
              </div>
              {{/if}}
              {{/each}}
            </div>

            <div class="threespan item-list">
              <div class="header">
                <label>{{localize "local.sections.attackmods"}}</label>
              </div>
              {{#each system.attackdamagemods as |item|}}
              {{#if item.system.alwaysOn}}
              {{else}}
              <div class="item itemcontext modifier{{#if item.system.inEffect}} inEffect{{/if}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable">{{item.name}}</label>
                <label class="item-toggle"></label>
              </div>
              {{/if}}
              {{/each}}
            </div>
          </div>
        </div>

      </div>

      {{!-- Skills Tab --}}
      <div class="tab skills" data-tab="skills" data-group="attribute">

        <div class="section">
          <div class="sectionheader collapsible" data-section="attributes">
            <label>{{localize "local.sections.attributes"}}</label>
          </div>
          <div class="content" style="display: {{actor.system.sections.attributes}}">
            <div class="fourspan item-list">
              {{#each system.attributes as |item|}}
              <div class="item itemcontext entry {{item.system.group}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable"> {{item.name}} </label>
                <label class="">[{{item.system.moddedvalue}}]</label>
                <a class="rollmacro" data-type="Attribute" data-target="{{item.name}}"> <i class="fas fa-scroll"></i></a>
              </div>
              {{/each}}
            </div>
            <div class="fourspan item-list">
              <div class="header">
                <label>{{localize "local.sections.characteristics"}}</label>
              </div>
              {{#each system.characteristics as |item|}}
              <div class="item itemcontext entry {{item.system.group}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable"> {{item.system.abbr}} </label>
                <label class="rollable" data-name="{{item.name}}" data-roll="{{item.system.value}}" data-modtype="skill" data-type="modlist">[{{item.system.moddedvalue}}]</label>
              </div>
              {{/each}}
            </div>
            <div class="threespan item-list">
              <div class="header">
                <label>{{localize "local.sections.attributemods"}}</label>
              </div>
              {{#each system.attributemods as |item|}}
              {{#unless item.system.alwaysOn}}
              <div class="item itemcontext modifier{{#if item.system.inEffect}} inEffect{{/if}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable">{{item.name}}</label>
                <label class="item-toggle"></label>
              </div>
              {{/unless}}
              {{/each}}
            </div>
          </div>
        </div>
        <hr>

        <div class="section">
          <div class="sectionheader collapsible" data-section="skills">
            <label>{{localize "local.sections.rollables"}}</label>
          </div>
          <div class="content" style="display: {{actor.system.sections.skills}}">

            <div class="threespan item-list">
              {{#each system.skills as |item|}}
              <div class="item itemcontext entry {{item.system.group}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable"> {{item.name}} </label>
                <label class="rollable" data-name="{{item.name}}" data-roll="{{item.system.value}}" data-modtype="{{item.system.category}}" data-type="modlist">[{{item.system.moddedvalue}}]</label>
                <a class="rollmacro" data-type="Skill" data-target="{{item.name}}"> <i class="fas fa-scroll"></i></a>
              </div>
              {{/each}}
            </div>
            <div class="fourspan item-list">
              {{#each system.skillvariables as |item|}}
              {{#if (eq item.type "Variable")}}
              <div class="item itemcontext variable" title="{{item.system.notes}}" data-item-id="{{item._id}}">
                <label class="variablename draggable item-edit">{{item.name}}</label>
                <select class="select iteminput" data-name="system.label">
                  {{#select item.system.label}}
                  {{#each item.system.entries as |entry e|}}
                  {{#if (ne @index 0)}}
                  <option value="{{entry.label}}">{{entry.label}}</option>
                  {{/if}}
                  {{/each}}
                  {{/select}}
                </select>
                <label class="value"></label>
              </div>
              {{else}}
              <div class="item itemcontext poolstyle" title="{{item.system.notes}}" data-item-id="{{item._id}}">
                <label class="poolname item-edit draggable">{{item.name}}:</label>
                <input class="value iteminput pool" type="text" value="{{item.system.value}}" data-dtype="Number" data-name="system.value" data-abbr="{{item.system.abbr}}" />
                <span>{{#unless (eq item.system.value item.system.moddedvalue)}}[{{item.system.moddedvalue}}]{{/unless}}/{{item.system.max}}</span>
              </div>
              {{/if}}
              {{/each}}
            </div>

            <div class="threespan item-list">
              <div class="header">
                <label>{{localize "local.sections.checkmods"}}</label>
              </div>
              {{> "systems/hnh/templates/partials/gmod.hbs" data=data}}
              {{#each system.checkskillspellmods as |item|}}
              {{#unless item.system.alwaysOn}}
              <div class="item itemcontext modifier{{#if item.system.inEffect}} inEffect{{/if}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable">{{item.name}}</label>
                <label class="item-toggle"></label>
              </div>
              {{/unless}}
              {{/each}}
            </div>
            <div class="threespan item-list">
              <div class="header">
                <label>{{localize "local.sections.checks"}}</label>
              </div>
              {{#each system.checks as |item|}}
              <div class="item itemcontext entry {{item.system.group}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="item-edit draggable"> {{item.name}} </label>
                <a class="rollable" data-name="{{item.name}}" data-roll="{{item.system.moddedformula}}" data-type="{{item.system.category}}"> <i class="fas fa-dice"></i> </a>
              </div>
              {{/each}}
            </div>
            <div class="fourspan item-list">
              {{#each system.spellvariables as |item|}}
              {{#if (eq item.type "Variable")}}
              <div class="item itemcontext variable" title="{{item.system.notes}}" data-item-id="{{item._id}}">
                <label class="variablename draggable item-edit">{{item.name}}</label>
                <select class="select iteminput" data-name="system.label">
                  {{#select item.system.label}}
                  {{#each item.system.entries as |entry e|}}
                  {{#if (ne @index 0)}}
                  <option value="{{entry.label}}">{{entry.label}}</option>
                  {{/if}}
                  {{/each}}
                  {{/select}}
                </select>
                <label class="value"></label>
              </div>
              {{else}}
              <div class="item itemcontext poolstyle" title="{{item.system.notes}}" data-item-id="{{item._id}}">
                <label class="poolname item-edit draggable">{{item.name}}:</label>
                <input class="value iteminput pool" type="text" value="{{item.system.value}}" data-dtype="Number" data-name="system.value" data-abbr="{{item.system.abbr}}" />
                <span>{{#unless (eq item.system.value item.system.moddedvalue)}}[{{item.system.moddedvalue}}]{{/unless}}/{{item.system.max}}</span>
              </div>
              {{/if}}
              {{/each}}
            </div>
            <div class="threespan item-list">
              <div class="header">
                <label>{{localize "local.sections.rms"}}</label>
              </div>
              {{#each system.rms as |item|}}
              <div class="item itemcontext entry {{item.system.group}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="draggable item-edit"> {{item.name}} </label>
                <label class="rollable" data-name="{{item.name}}" data-roll="{{item.system.value}}" data-modtype="{{item.system.category}}" data-type="modlist">[{{numberFormat item.system.moddedvalue decimals=0}}]</label>
              </div>
              {{/each}}
            </div>
          </div>
        </div>
        <hr>
        <div class="section">
          <div class="sectionheader collapsible {{#if (eq system.sections.traits " none")}}collapsed{{/if}}" data-section="traits">
            <label>{{localize "local.sections.traits"}}</label>
          </div>
          <div class="content" style="display: {{system.sections.traits}}">
            <div class="twospan item-list">
              <div class="header">
                <label>{{localize "local.sections.advantages"}}</label>
              </div>
              {{#each system.advantages as |item|}}
              <div class="item notes {{item.system.group}}" data-item-id={{item._id}}>
                <label class="item-edit draggable"><b>{{item.name}}:</b> {{item.system.notes}}</label>
                <a class="rollable" data-name="{{item.name}}" data-roll="{{item.system.notes}}" data-type="tochat"> <i class="fas fa-comment"></i> </a>
              </div>
              {{/each}}
              <div class="header">
                <label>{{localize "local.sections.disadvantages"}}</label>
              </div>
              {{#each system.disadvantages as |item|}}
              <div class="item notes {{item.system.group}}" data-item-id={{item._id}}>
                <label class="item-edit draggable"><b>{{item.name}}:</b> {{item.system.notes}}</label>
                <a class="rollable" data-name="{{item.name}}" data-roll="{{item.system.notes}}" data-type="tochat"> <i class="fas fa-comment"></i> </a>
              </div>
              {{/each}}
              <div class="header">
                <label>{{localize "local.sections.perks"}}</label>
              </div>
              {{#each system.perks as |item|}}
              <div class="item notes {{item.system.group}}" data-item-id={{item._id}}>
                <label class="item-edit draggable"><b>{{item.name}}:</b> {{item.system.notes}}</label>
                <a class="rollable" data-name="{{item.name}}" data-roll="{{item.system.notes}}" data-type="tochat"> <i class="fas fa-comment"></i> </a>
              </div>
              {{/each}}
              <div class="header">
                <label>{{localize "local.sections.quirks"}}</label>
              </div>
              {{#each system.quirks as |item|}}
              <div class="item notes {{item.system.group}}" data-item-id={{item._id}}>
                <label class="item-edit draggable"><b>{{item.name}}:</b> {{item.system.notes}}</label>
                <a class="rollable" data-name="{{item.name}}" data-roll="{{item.system.notes}}" data-type="tochat"> <i class="fas fa-comment"></i> </a>
              </div>
              {{/each}}
            </div>
          </div>
        </div>

      </div>

      {{!-- Owned Items Tab --}}
      <div class="tab items" data-tab="items" data-group="attribute">
        <div class="section">
          <div class="content" style="display: block">
            <div class="threespan item-list">
              <div class="header">
                <label>{{localize "local.sections.itemcreation"}}</label>
              </div>
              {{#each system.allitems as |value name|}}
              <div class="entry {{#if value}}inEffect{{/if}}">
                <label class="filter" data-type='{{name}}'>{{name}}</label>
                <span></span>
                <a class="item-create" data-type='{{name}}'><i class="fas fa-plus"></i></a>
              </div>
              {{/each}}
            </div>

          </div>
        </div>
        <hr>
        <div class="section">
          <div class="sectionheader">
            <label>{{localize "local.sections.itemlist"}}</label>
          </div>
          <div class="content" style="display: block">
            <div class="nospan owneditems item-list">
              {{#each filtereditems as |item|}}

              {{#if (eq item.type "Attribute")}}
              <div class="item owneditem ability" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="name draggable item-edit">{{item.name}}</label>
                <label class="type">{{item.type}}</label>
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.group" value="{{item.system.group}}" />
                <label class="value">{{item.system.attr}}</label>
              </div>
              {{else if (eq item.type "Modifier")}}
              <div class="item owneditem mod{{#if item.system.inEffect}} inEffect{{/if}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="name draggable item-edit">{{item.name}}</label>
                <label class="type item-toggle">{{item.type}}</label>
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.group" value="{{item.system.group}}" />
                <div class="check" data-item-id="{{item._id}}">
                  <input class="value iteminput" type="checkbox" {{checked item.system.condition}} data-dtype="Boolean" data-name="system.condition" />
                  <span> Cond</span>
                </div>
                {{#unless (or item.system.once item.system.temporary)}}
                <div class="check" data-item-id="{{item._id}}">
                  <input class="value iteminput" type="checkbox" {{checked item.system.alwaysOn}} data-dtype="Boolean" data-name="system.alwaysOn" />
                  <span> Perm</span>
                </div>
                {{/unless}}
                {{#unless (or item.system.alwaysOn item.system.once)}}
                <div class="check" data-item-id="{{item._id}}">
                  <input class="value iteminput" type="checkbox" {{checked item.system.temporary}} data-dtype="Boolean" data-name="system.temporary" />
                  <span> Temp</span>
                </div>
                {{/unless}}
                {{#unless (or item.system.alwaysOn item.system.temporary)}}
                <div class="check" data-item-id="{{item._id}}">
                  <input class="value iteminput" type="checkbox" {{checked item.system.once}} data-dtype="Boolean" data-name="system.once" />
                  <span> Once</span>
                </div>
                {{/unless}}
              </div>
              {{else if (eq item.type "Variable")}}
              <div class="item owneditem var" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="name draggable item-edit">{{item.name}}</label>
                <label class="type">{{item.type}}</label>
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.group" value="{{item.system.group}}" />
                <select class="value select iteminput" data-name="system.label">
                  {{#select item.system.label}}
                  {{#each item.system.entries as |entry e|}}
                  {{#if (ne @index 0)}}
                  <option class="option" value="{{entry.label}}">{{entry.label}}</option>
                  {{/if}}
                  {{/each}}
                  {{/select}}
                </select>
                {{#unless item.system.once}}
                <div class="check" data-item-id="{{item._id}}">
                  <input class="value iteminput" type="checkbox" {{checked item.system.temporary}} data-dtype="Boolean" data-name="system.temporary" />
                  <span> Temp</span>
                </div>
                {{/unless}}
                {{#unless item.system.temporary}}
                <div class="check" data-item-id="{{item._id}}">
                  <input class="value iteminput" type="checkbox" {{checked item.system.once}} data-dtype="Boolean" data-name="system.once" />
                  <span> Once</span>
                </div>
                {{/unless}}
              </div>
              {{else if (eq item.type "Trait")}}
              <div class="item owneditem trait" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="name draggable item-edit">{{item.name}}</label>
                <label class="type">{{item.type}} ({{item.system.displaycategory}})</label>
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.group" value="{{item.system.group}}" />
                <label class="snippet">{{item.system.notes}}</label>
              </div>
              {{else if (eq item.type "Pool")}}
              <div class="item owneditem pool" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="name draggable item-edit">{{item.name}}</label>
                <label class="type">{{item.type}}</label>
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.group" value="{{item.system.group}}" />
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.minForm" value="{{item.system.minForm}}" />
                <input class="value iteminput" type="number" data-dtype="Number" data-name="system.value" value="{{item.system.value}}" />
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.maxForm" value="{{item.system.maxForm}}" />
              </div>
              {{else if (or (eq item.type "Melee-Attack")(eq item.type "Ranged-Attack"))}}
              <div class="item owneditem attack" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="name draggable item-edit">{{item.name}}</label>
                <label class="type">{{item.type}}</label>
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.group" value="{{item.system.group}}" />
                <label class="value">{{item.system.formula}}</label>
              </div>
              {{else if (eq item.type "Rollable")}}
              <div class="item owneditem roll" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="name draggable item-edit">{{item.name}}</label>
                <label class="type">{{item.type}} ({{item.system.displaycategory}})</label>
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.group" value="{{item.system.group}}" />
                <label class="value">{{item.system.formula}}</label>
              </div>
              {{else if item.system.formula}}
              <div class="item owneditem" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="name draggable item-edit">{{item.name}}</label>
                <label class="type">{{item.type}}</label>
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.group" value="{{item.system.group}}" />
                <label class="value">{{item.system.formula}}</label>
              </div>
              {{else}} {{! Everything else }}
              <div class="item owneditem" data-item-id="{{item._id}}" title="{{item.system.notes}}">
                <label class="name draggable item-edit">{{item.name}}</label>
                <label class="type">{{item.type}}</label>
                <input class="value iteminput" type="text" data-dtype="String" data-name="system.group" value="{{item.system.group}}" />
                <label class="value">{{item.system.value}}</label>
              </div>
              {{/if}}
              {{/each}}
            </div>
          </div>
        </div>

      </div>

      {{!-- Script Engine Tab --}}
      <div class="tab scripts" data-tab="scripts" data-group="attribute">

        {{!-- Script Pane --}}
        <div id="baseitems">
          <div class="item-controls">
            <div>
              <a class="item-control item-create" title="{{localize " local.tabs.scripts.createT"}}">
                <i class="fas fa-plus"></i> {{localize "local.tabs.scripts.create"}}
              </a>
            </div>
            <div>
              <a class="item-control item-export" title="{{localize " local.tabs.scripts.exportT"}}">
                <i class="fas fa-minus"></i> {{localize "local.tabs.scripts.export"}}
              </a>
            </div>
          </div>
          <textarea rows="24" name="system.itemscript">{{{actor.system.itemscript}}}</textarea>
        </div>

      </div>
    </section>
  </div>
  <script>
    $("input").focusin(function () {
      $(this).select();
    });
    $("textarea").focusin(function () {
      $(this).select();
    });
  </script>
</form>
